summaryrefslogtreecommitdiffstats
path: root/abs/extra/git/git.install
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2016-05-16 16:24:28 (GMT)
committerBritney Fransen <brfransen@gmail.com>2016-05-16 16:24:28 (GMT)
commitfff4c50d3a1d94c807604d6c21355993dfb95c85 (patch)
tree390f0eb0781b2599449edbdafbeb6aaba34200dc /abs/extra/git/git.install
parent8de064f6e96f960cdbfe6868d9957a4613f704df (diff)
parent6f7a84649ef75069cc4fa06fabeb63e762e049d1 (diff)
downloadlinhes_pkgbuild-fff4c50d3a1d94c807604d6c21355993dfb95c85.zip
linhes_pkgbuild-fff4c50d3a1d94c807604d6c21355993dfb95c85.tar.gz
linhes_pkgbuild-fff4c50d3a1d94c807604d6c21355993dfb95c85.tar.bz2
Merge branch 'testing'
Diffstat (limited to 'abs/extra/git/git.install')
-rw-r--r--abs/extra/git/git.install12
1 files changed, 12 insertions, 0 deletions
diff --git a/abs/extra/git/git.install b/abs/extra/git/git.install
new file mode 100644
index 0000000..064eda0
--- /dev/null
+++ b/abs/extra/git/git.install
@@ -0,0 +1,12 @@
+post_install() {
+ if ! getent group git >/dev/null; then
+ groupadd --system git
+ fi
+ if ! getent passwd git >/dev/null; then
+ useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+}